%add_optflags -ffat-lto-objects
# BEGIN SourceDeps(oneline):
BuildRequires: libicu-devel libsowing-devel perl(AutoLoader.pm) perl(Config.pm) perl(Encode.pm) perl(Exporter.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define module_name Sort-Naturally-ICU
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7.8
Release: alt8
Summary: Perl extension for human-friendly ("natural") sort order
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SE/SERVAL/%{module_name}-%{version}.tar.gz

%description
Natural sort order is an ordering of mixed strings (consist of characters
and digits) in alphabetical order, except that digital parts are ordered
as numbers. Natural sorting can be considered as a replacement of a standard
machine-oriented alphabetical sorting, because it is more convenient for
human understanding. For example,
the following list:
  test21 test20 test10 test11 test2 test1
after performing a standard machine-oriented alphabetical sorting:
  test1 test10 test11 test2 test20 test21
The sequence appears unnatural, because test10 and test11 come before test2.
On the other hand, natural sorting gives a human-friendly sequence:
  test1 test2 test10 test11 test20 test21
now test2 comes before test10 and test11.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

# process-lto: ERROR: ./usr/lib64/perl5/auto/Sort/Naturally/ICU/nsort/nsort.a: contains __gnu_lto_slim only.
# 061-brp-strip-lto.brp: Alternatively, you might want to stop packaging static libraries
rm -f %buildroot%perl_vendor_autolib/Sort/Naturally/ICU/nsort/nsort.a

%files
%doc README README.md Changes
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.7.8-alt8
- rebuild with perl 5.38

* Thu Oct 19 2023 Igor Vlasenko <viy@altlinux.org> 0.7.8-alt7
- rebuild with new ICU

* Mon Jul 04 2022 Cronbuild Service <cronbuild@altlinux.org> 0.7.8-alt6
- rebuild to get rid of unmets

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.7.8-alt5
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.8-alt4
- rebuild with perl 5.30

* Sun Apr 14 2019 Cronbuild Service <cronbuild@altlinux.org> 0.7.8-alt3
- rebuild to get rid of unmets

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.7.8-alt2.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.8-alt2
- rebuild with perl 5.26

* Thu Nov 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.8-alt1
- initial import by package builder

